Package org.eclipse.m2m.atl.engine.asm

# Class ASMOperation.LineNumberEntry

java.lang.Object
org.eclipse.m2m.atl.engine.asm.ASMOperation.LineNumberEntry

Enclosing class:
  ASMOperation

public class ASMOperation.LineNumberEntry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`begin`
`int`
`end`
`String`
`id`

## Constructor Summary

Constructors
Constructor
Description
`LineNumberEntry(String id, int begin, int end)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public String id

### begin

public int begin

### end

public int end

## Constructor Details

### LineNumberEntry

public LineNumberEntry(String id, int begin, int end)